<ion-header>
    <ion-toolbar class="header">
      <ion-buttons slot="start">
        <ion-menu-button autoHide="false"></ion-menu-button>
      </ion-buttons>
      <ion-title>Editar Anúncio</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content padding>
      <form #form="ngForm" (ngSubmit)="editar(form)" method="post" *ngIf="animal">
        <ion-item hidden>
          <ion-input type="text" name="id" [(ngModel)]="animal.id"></ion-input>
        </ion-item>
        <ion-item hidden>
            <ion-input type="text" name="id_endereco" [(ngModel)]="animal.id_endereco"></ion-input>
          </ion-item>
        <!-- <ion-item>
          <img src="{{animal.foto.changingThisBreaksApplicationSecurity}}">
        </ion-item> -->
        <ion-item>
          <ion-label position="floating">Nome</ion-label>
          <ion-input type="text" name="nome" [(ngModel)]="animal.nome"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Descrição</ion-label>
          <ion-input type="text" name="descricao" [(ngModel)]="animal.descricao"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Estado</ion-label>
          <ion-select interface="popover" placeholder="Selecione o estado" (ionChange)="busca_cidades($event.detail.value)"
            name="estado" [(ngModel)]="animal.estado">
            <ion-select-option *ngFor="let estado of estados" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
          </ion-select>
          <!-- <ion-select interface="popover" placeholder="Selecione o estado" (ionChange)="busca_cidades($event.detail.value)"
            name="estado" [(ngModel)]="animal.estado">
            <ion-select-option *ngFor="let estado of estados" selected="{{estado.id==animal.estado}}" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
          </ion-select> -->
          <!-- <ion-select [ngModel]="animal.estado">
              <ion-option *ngFor="let form of estados" value="{{form.id}}" selected="{{form.id == animal.estado}}">{{form.name}}</ion-option>
            </ion-select> -->
        </ion-item>
        <ion-item>
          <ion-label>Cidade</ion-label>
          <ion-select interface="popover" placeholder="Selecione a cidade" disabled="{{desabilitaCidade}}" name="cidade"
            (ngModel)="animal.cidade">
            <ion-select-option *ngFor="let cidade of cidades" value="{{cidade.id}}">{{cidade.nome}}</ion-select-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label position="floating">CEP</ion-label>
          <ion-input type="text" name="cep" [(ngModel)]="animal.cep"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Rua</ion-label>
          <ion-input type="text" name="rua" [(ngModel)]="animal.rua"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Bairro</ion-label>
          <ion-input type="text" name="bairro" [(ngModel)]="animal.bairro"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Complemento</ion-label>
          <ion-input type="text" name="complemento" [(ngModel)]="animal.complemento"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Número</ion-label>
          <ion-input type="text" name="numero" [(ngModel)]="animal.numero"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label>Tipo do anúncio</ion-label>
            <ion-select interface="popover" placeholder="Selecione o tipo" name="tipo_anuncio" [(ngModel)]="animal.tipo_anuncio">
              <ion-select-option value="1">Adoção</ion-select-option>
              <ion-select-option value="2">Doação</ion-select-option>
              <ion-select-option value="3">Resgate</ion-select-option>
              <ion-select-option value="4">Desaparecido</ion-select-option>
              <ion-select-option value="5">Encontrado</ion-select-option>
            </ion-select>
          </ion-item>
        <ion-button type="submit" expand="block" color="success" (click)="salvar()">Salvar</ion-button>
      </form>
    
    </ion-content>